Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	40.3
Release:	2
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://download.gnome.org/sources/epiphany/40/%{name}-%{version}.tar.xz
# Source0-md5:	9b5709c8ff1bb5650d810a0008b9cc85
URL:		https://wiki.gnome.org/Apps/Web
BuildRequires:	appstream-glib
BuildRequires:	cairo-devel >= 1.2
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-ui-devel >= 3.6.0
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.64.0
BuildRequires:	gmp-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	gtk-webkit4-devel >= 2.31.1
BuildRequires:	iso-codes >= 0.53
BuildRequires:	json-glib-devel >= 1.2.4
BuildRequires:	libarchive-devel
BuildRequires:	libdazzle-devel >= 3.37.1
BuildRequires:	libhandy1-devel >= 1.1.0
BuildRequires:	libnotify-devel >= 0.5.1
BuildRequires:	libportal-devel >= 0.0.2
BuildRequires:	libsecret-devel >= 0.19.0
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	meson >= 0.47.0
BuildRequires:	nettle-devel >= 3.4
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.22
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.64.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	bubblewrap
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	gcr-ui >= 3.6.0
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.64.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.24.0
Requires:	gtk-webkit4 >= 2.31.1
Requires:	hicolor-icon-theme
Requires:	iso-codes >= 0.53
Requires:	json-glib >= 1.2.4
Requires:	libdazzle >= 3.37.1
Requires:	libhandy1 >= 1.1.0
Requires:	libnotify >= 0.5.1
Requires:	libportal >= 0.0.2
Requires:	libsecret >= 0.19.0
Requires:	libsoup >= 2.48.0
Requires:	libxml2 >= 1:2.6.28
Requires:	nettle >= 3.4
Requires:	sqlite3 >= 3.22
Requires:	xdg-dbus-proxy
Provides:	wwwbrowser
Obsoletes:	epiphany-apidocs < 3.8.0-2
Obsoletes:	epiphany-devel < 3.8.0-2
Obsoletes:	epiphany-extensions < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Web (codename: Epiphany) is a GNOME web browser based on the
WebKit rendering engine.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
GNOME Web (nazwa kodowa: Epiphany) jest przeglądarką WWW dla GNOME
opartą na silniku renderującym WebKit.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md TODO
%attr(755,root,root) %{_bindir}/epiphany
%dir %{_libdir}/epiphany
%attr(755,root,root) %{_libdir}/epiphany/libephymain.so
%attr(755,root,root) %{_libdir}/epiphany/libephymisc.so
%attr(755,root,root) %{_libdir}/epiphany/libephysync.so
%dir %{_libdir}/epiphany/web-process-extensions
%attr(755,root,root) %{_libdir}/epiphany/web-process-extensions/libephywebprocessextension.so
%attr(755,root,root) %{_libexecdir}/epiphany-search-provider
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/epiphany
%endif
%attr(755,root,root) %{_libexecdir}/epiphany/ephy-profile-migrator
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%{_datadir}/epiphany
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_desktopdir}/org.gnome.Epiphany.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Epiphany.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
%{_mandir}/man1/epiphany.1*
%changelog
* Sat Sep 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epiphany.git;a=log;h=master

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 847c55a
- requires bubblewrap, xdg-dbus-proxy; release 2

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 38bfa67
- updated to 40.3

* Sun Jun 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 83a31e9
- updated to 40.2

* Thu Apr 29 2021 Jakub Bogusz <qboosh@pld-linux.org> b879e94
- updated to 40.1

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a656a5
- updated to 40.0

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> c662f61
- updated to 3.38.3

* Wed Dec 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 3d61646
- updated to 3.38.2

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 2c00515
- updated to 3.38.1

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 59270ba
- updated to 3.38.0

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 11e8754
- updated to 3.36.4

* Fri Jul 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 725db91
- updated to 3.36.3

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 1a1cc43
- updated to 3.36.2

* Tue May 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 8498141
- release 2 (nettle soname change)

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 592b3cd
- updated to 3.36.1

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 0749ee4
- updated to 3.34.3.1

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 10c1aaa
- updated to 3.34.2

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 4d1e42d
- updated to 3.34.1

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 5fd6c2f
- rebuild with boost 1.71 and icu 65.1
- release 5 (by relup.sh)

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> e678ed1
- release 4, rebuild against libnettle.so.6 (nettle-3.5)

* Mon Apr 15 2019 Adam Gołębiowski <adamg@pld-linux.org> f581045
- release 3, rebuild against icu 64

